> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Manual Llm Validate Multipart



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/scorers/llm/validate/multipart
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/llm/validate/multipart:
    post:
      tags:
        - data
        - prompts
        - rows
      summary: Manual Llm Validate Multipart
      operationId: manual_llm_validate_multipart_v2_scorers_llm_validate_multipart_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_manual_llm_validate_multipart_v2_scorers_llm_validate_multipart_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneratedScorerValidationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    Body_manual_llm_validate_multipart_v2_scorers_llm_validate_multipart_post:
      properties:
        body:
          type: string
          title: Body
          description: JSON-encoded GeneratedScorerValidationRequest
        query_files:
          items:
            type: string
            contentMediaType: application/octet-stream
          type: array
          title: Query Files
          default: []
        response_files:
          items:
            type: string
            contentMediaType: application/octet-stream
          type: array
          title: Response Files
          default: []
      type: object
      required:
        - body
      title: >-
        Body_manual_llm_validate_multipart_v2_scorers_llm_validate_multipart_post
    GeneratedScorerValidationResponse:
      properties:
        task_result_id:
          type: string
          format: uuid4
          title: Task Result Id
      type: object
      required:
        - task_result_id
      title: GeneratedScorerValidationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````